@echo off

rem                        Overall Procedures

rem  1.  Main data are entered on main computer
rem  2.  Main data are uploaded to floppy on main computer
rem  3.  Main data downloaded to verification computer
rem  4.  Main data are verified on verification computer
rem  5.  Verified data are uploaded to floppy on verification computer
rem  6.  Verified data are downloaded to supervisor's computer (SUPER.BAT)

rem IF A PARAMETER IS USED, IT WILL APPEAR AS THE 3RD MENU TITLE
rem Set drive letters...

set MAIN=C:
set FLOPPY=A:

CLS

setcheck set s *
if !%s%==! cls
if !%s%==! echo You must select a cluster number!  Process stopped.
if !%s%==! pause
if !%s%==! goto END
cls

rem set main data directory
set G1=%MAIN%\MICS\IMPS\data
rem set verification data directory
set G2=%MAIN%\MICS\IMPS\verify
rem set programs directory
set G3=%MAIN%\MICS\IMPS\entry
rem set transfer diskette directory
set G4=%FLOPPY%
rem set entry applications directory
set G5=%MAIN%\imps41\imps31\ce

rem Copy the cluster number to a look-up file (cluster.txt)
echo %s%        > tmp.txt
copy tmp.txt cluster.txt /a

:MENU
cls
set goback=MENU
set title1=MICS DATA PROCESSING SYSTEM
set title2=DATA ENTRY MENU
if !%1==! goto NOCNTRY
set title3=%1
:NOCNTRY
set options1= 1. Select a new cluster number
set options2=separator
set options3= 2. Enter main data
set options4= 3. Verify main data
set options5=separator
set options6= 4. Modify main household data
set options7= 5. Modify main women's data
set options8= 6. Modify main children's data
set options9=separator
set options10= 7. Modify verification household data
set options11= 8. Modify verification women's data
set options12= 9. Modify verification children's data
set options13=separator
set options14=10. Upload main data
set options15=11. Download verification data
set options16=12. Transfer verified data
set options17=Quit
options

if %options%==1 goto NEW
if %options%==2 goto ENTER
if %options%==3 goto VERIFY
if %options%==4 goto MMHH
if %options%==5 goto MMWM
if %options%==6 goto MMCH
if %options%==7 goto MVHH
if %options%==8 goto MVWM
if %options%==9 goto MVCH
if %options%==10 goto UPLOAD
if %options%==11 goto DOWNLOAD
if %options%==12 goto TRANSFER
if %options%==13 goto END
if %options%==0  goto END

rem Just in case...
goto END

rem Select a new cluster number
rem ---------------------------
:NEW
set temps=%s%
setcheck set s *
if !%s%==! set s=%temps%
if %s%==%temps% goto %goback%
rem Copy the new cluster number to the look-up file (cluster.txt)
echo %s%        > tmp.txt
copy tmp.txt cluster.txt /a
goto %goback%

rem Enter data
rem ----------
:ENTER
echo ap=%G3%\micshh        >centry.sys
echo bch=%G1%\hh%s%m      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micshh   >>centry.sys
echo operator=01          >>centry.sys
echo mode=a               >>centry.sys
echo lock=m,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
echo ap=%G3%\micswm        >centry.sys
echo bch=%G1%\wm%s%m      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micswm   >>centry.sys
echo operator=01          >>centry.sys
echo mode=a               >>centry.sys
echo lock=m,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
echo ap=%G3%\micsch        >centry.sys
echo bch=%G1%\ch%s%m      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micsch   >>centry.sys
echo operator=01          >>centry.sys
echo mode=a               >>centry.sys
echo lock=m,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%


rem Verify data
rem ---------------------
:VERIFY
if not exist %G2%\hh%s%v.bch goto error1
if not exist %G2%\wm%s%v.bch goto error2
if not exist %G2%\ch%s%v.bch goto error3
echo ap=%G3%\micshh        >centry.sys
echo bch=%G2%\hh%s%v      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micshh   >>centry.sys
echo operator=01          >>centry.sys
echo mode=v               >>centry.sys
echo lock=a,m,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
echo ap=%G3%\micswm        >centry.sys
echo bch=%G2%\wm%s%v      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micswm   >>centry.sys
echo operator=01          >>centry.sys
echo mode=v               >>centry.sys
echo lock=a,m,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
echo ap=%G3%\micsch        >centry.sys
echo bch=%G2%\ch%s%v      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micsch   >>centry.sys
echo operator=01          >>centry.sys
echo mode=v               >>centry.sys
echo lock=a,m,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%

rem Modify main household data
rem --------------------------
:MMHH
if not exist %G1%\hh%s%m.bch goto error1
echo ap=%G3%\micshh        >centry.sys
echo bch=%G1%\hh%s%m      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micshh   >>centry.sys
echo operator=01          >>centry.sys
echo mode=m               >>centry.sys
echo lock=a,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%

rem Modify main women's data
rem ------------------------
:MMWM
if not exist %G1%\wm%s%m.bch goto error2
echo ap=%G3%\micswm        >centry.sys
echo bch=%G1%\wm%s%m      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micswm   >>centry.sys
echo operator=01          >>centry.sys
echo mode=m               >>centry.sys
echo lock=a,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%

rem Modify main children's data
rem ---------------------------
:MMCH
if not exist %G1%\ch%s%m.bch goto error3
echo ap=%G3%\micsch        >centry.sys
echo bch=%G1%\ch%s%m      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micsch   >>centry.sys
echo operator=01          >>centry.sys
echo mode=m               >>centry.sys
echo lock=a,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%

rem Modify verification household data
rem --------------------------
:MVHH
if not exist %G2%\hh%s%v.bch goto error1
echo ap=%G3%\micshh        >centry.sys
echo bch=%G2%\hh%s%v      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micshh   >>centry.sys
echo operator=01          >>centry.sys
echo mode=m               >>centry.sys
echo lock=a,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%

rem Modify verification women's data
rem ------------------------
:MVWM
if not exist %G2%\wm%s%v.bch goto error2
echo ap=%G3%\micswm        >centry.sys
echo bch=%G2%\wm%s%v      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micswm   >>centry.sys
echo operator=01          >>centry.sys
echo mode=m               >>centry.sys
echo lock=a,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%

rem Modify verification children's data
rem ---------------------------
:MVCH
if not exist %G2%\ch%s%v.bch goto error3
echo ap=%G3%\micsch        >centry.sys
echo bch=%G2%\ch%s%v      >>centry.sys
echo idcheck=cluster.txt  >>centry.sys
echo concor=%G3%\micsch   >>centry.sys
echo operator=01          >>centry.sys
echo mode=m               >>centry.sys
echo lock=a,v,s           >>centry.sys
echo batscreen=%s%        >>centry.sys
%G5%\ex
del centry.sys
goto %goback%

rem Upload main data
rem ----------------
:UPLOADM
if not exist %G1%\??%s%M.bch goto error4
cls
echo Please insert a diskette into drive %G4%
pause
xcopy %G1%\??%s%M.* %G4%
goto %goback%
:error4
cls
echo No main data files found for cluster %s% on drive %G1%
pause
goto %goback%

rem Download verification data
rem --------------------------
:DNLOADV
echo Please insert the diskette with verification data for cluster %s% into drive %G4%
pause
if not exist %G4%\??%s%M.bch goto error5
cls
xcopy %G4%\??%s%M.* %G2%\
rename %G2%\??%s%M.* ??%s%V.*
goto %goback%
:error5
cls
echo No main data files found for verification for cluster %s% on drive %G4%.
pause
goto %goback%

rem Upload verification data
rem ------------------------
:UPLOADV
if not exist %G2%\??%s%V.bch goto error6
cls
echo Please insert a diskette in drive %G4%
pause
xcopy %G2%\??%s%V.* %G4%
goto %goback%
:error6
cls
echo No data files found for cluster %s%
pause
goto %goback%

:END
cls
set s=
set sstate=
set scode=
set snum=
set options=
