@echo off

rem                                Overall Procedure

rem  1.  Verified data are structure-checked from floppy
rem  2.  Verified data are downloaded to supervisor's computer
rem  3.  Structure-checked data are backed up to backup directory
rem  4.  Run secondary edits
rem  5.  Make modifications to data as a result of edits
rem  6.  Editted data are backed up to final directory

rem  The following are run from DOS, outside of this BAT:

rem  7.  Run ALLCLUST.BAT to create country-wide household, women, and children files
rem  8.  Run SPSS apps to create SAV files

rem Set drive letters...

set MAIN=C:
set FLOPPY=A:

rem Country name may be used as a parameter.  If it is, it will be the 3rd title in the menu.

CLS

setcheck set s *
if !%s%==! cls
if !%s%==! echo You must select a cluster number!  Process stopped.
if !%s%==! pause
if !%s%==! goto END
cls

rem set raw data directory for verification files copied from floppy
set G1=%MAIN%\MICS\IMPS\raw
rem set final data directory for editted files
set G2=%MAIN%\MICS\IMPS\final
rem set back-up data directory for 2nd copy of verification files
set G3=%MAIN%\MICS\IMPS\backup
rem set supervisor application directory, used in CHECK.BAT and EDITING.BAT
set G4=%MAIN%\MICS\IMPS\super
rem set IMPS application
set G5=%MAIN%\IMPS41\IMPS31\CE
rem set diskette drive letter
set G6=%FLOPPY%
rem set data entry applications directory, used for modifying data
set G7=%MAIN%\MICS\IMPS\entry

rem Copy the cluster number to a look-up file (cluster.txt)
echo %s%        > tmp.txt
copy tmp.txt cluster.txt /a

:MENU
cls
set goback=MENU
set title1=MICS DATA PROCESSING SYSTEM
set title2=SUPERVISOR'S MENU
if !%1==! goto NOCNTRY
set title3=%1
:NOCNTRY
set options1=1. Check data structure
set options2=2. Download verified data files
set options3=3. Backup verified cluster data
set options4=4. Modify data
set options5=5. Run secondary edits
set options6=6. Backup final cluster data
set options7=separator
set options8=Select new cluster
set options9=Quit
options

if %options%==1 goto STRUCT
if %options%==2 goto DNLOADV
if %options%==3 goto BACKRAW
if %options%==4 goto MODIFY
if %options%==5 goto EDITS
if %options%==6 goto BACKFIN
if %options%==7 goto NEW
if %options%==8 goto END
if %options%==0 goto END

rem Just in case...
goto END

:STRUCT
rem Check structure of questionnaires
rem ---------------------------------
call %G4%\check
goto %goback%

rem Download verified cluster data files
rem ------------------------------------
:DNLOADV
echo Please insert the diskette with data for cluster %s%
pause
if not exist %G6%\??%s%V.* echo Data for %s% not found on %G6%
if not exist %G6%\??%s%V.* pause
if not exist %G6%\??%s%V.* goto %goback%
xcopy %G6%\??%s%V.* %G1%\
if errorlevel 1 goto ERROR1
goto %goback%
:error1
echo Error copying files for cluster %s%
pause
goto %goback%

rem Modify data
rem -----------
:MODIFY
%G5%\ex %G7%\micshh %G1%\hh%s%v cluster.txt %G7%\micshh
%G5%\ex %G7%\micswm %G1%\wm%s%v cluster.txt %G7%\micswm
%G5%\ex %G7%\micsch %G1%\ch%s%v cluster.txt %G7%\micsch
echo You should run secondary edits again for this cluster
pause
goto %goback%

:EDITS
rem Secondary Edits
rem ---------------
call %G4%\editing
goto %goback%

rem Backup raw cluster data
rem -----------------------
:BACKRAW
if not exist %G1%\HH%s%v.bch goto error2
if not exist %G1%\WM%s%v.bch goto error2
if not exist %G1%\CH%s%v.bch goto error2
copy %G1%\*%s%v.* %G3%\
goto %goback%
:error2
cls
echo Some or all of the data files are missing for cluster %s%
pause
goto %goback%

rem Backup final cluster data
rem -------------------------
:BACKFIN
if not exist %G1%\HH%s%v.bch goto error2
if not exist %G1%\WM%s%v.bch goto error2
if not exist %G1%\CH%s%v.bch goto error2
copy %G1%\*%s%v.* %G2%\
goto %goback%
:error2
cls
echo Some or all of the data files are missing for cluster %s%
pause
goto %goback%

:EXPORT
rem Export to SPSS - NOT USED!!
rem --------------
call %G4%\allclust
goto %goback%

rem Select a new cluster number
rem ---------------------------
:NEW
set temps=%s%
setcheck set s *
if !%s%==! set s=%temps%
if %s%==%temps% goto %goback%
rem Copy the new cluster number to the look-up file (cluster.txt)
echo %s%        > tmp.txt
copy tmp.txt cluster.txt /a
goto %goback%

:END
cls
set s=
set G1=
set G2=
set G3=
set G4=
set G5=
set G6=
set G7=
set MAIN=
set FLOPPY=
set temps=
set goback=
