ECHO OFF
REM **************************************************************************
REM
REM                            Procedure XREPORTS
REM                            ------------------
REM
REM    This procedure produces all the CONCOR reports by executing REPSUM,
REM    REPQUEST and REPFREQ.  It is called by XEDIT & REPORTS.
REM
REM       %1 = Error file (.ERR) and Error message file (.MSG)
REM       %2 = Input data file (full)
REM       %3 = Output data file (full) -- optional
REM       %4 = Write file (full) -- optional
REM       %5 = Reports files (.SUM, .QST, .FRQ) -- optional
REM       %6 = Calling procedure
REM
REM **************************************************************************
IF "%6"=="" GOTO NOCALL
IF NOT %6==CONCOR GOTO :DOCMD
IF EXIST %5.SUM ERASE %5.SUM
IF EXIST %5.QST ERASE %5.QST
IF EXIST %5.FRQ ERASE %5.FRQ
:DOCMD
SET UM=%1.MSG[B2048]
SET ER=%1.ERR[C:32]
SET PR=%5.SUM[N:32]
IF %6==REPORTS \IMPS41\IMPS31\CN\REPSUM ,%1,
IF NOT %6==REPORTS \IMPS41\IMPS31\CN\REPSUM %2,%1,%3
SET UM=
SET ER=
SET PR=
IF  ERRORLEVEL 200 GOTO EREPSUM
IF ERRORLEVEL 2 GOTO DOFRQ
IF ERRORLEVEL 1 GOTO DOQST
GOTO DOEND
:DOQST
SET UM=%1.MSG[B2048]
SET ER=%1.ERR[C:32]
SET PR=%5.QST[N:32]
IF %6==REPORTS \IMPS41\IMPS31\CN\REPQUEST ,%1,
IF NOT %6==REPORTS \IMPS41\IMPS31\CN\REPQUEST %2,%1,%3
SET UM=
SET ER=
SET PR=
IF ERRORLEVEL 200 GOTO EREPQUEST
IF ERRORLEVEL 2 GOTO DOFRQ
GOTO DOEND
:DOFRQ
SET UM=%1.MSG[B2048]
SET ER=%1.ERR[C:32]
SET PR=%5.FRQ[N:32]
IF %6==REPORTS \IMPS41\IMPS31\CN\REPFREQ ,%1,
IF NOT %6==REPORTS \IMPS41\IMPS31\CN\REPFREQ %2,%1,%3
SET UM=
SET ER=
SET PR=
IF ERRORLEVEL 200 GOTO EREPFREQ
:DOEND
IMPSUTIL/E
IF EXIST %5.SUM IMPSVIEW %5.SUM[N:63]
IF EXIST %5.QST IMPSVIEW %5.QST[N:63]
IF EXIST %5.FRQ IMPSVIEW %5.FRQ[N:63]
CLS
ECHO Completed!
ECHO 
ECHO The files listed below were viewed.
ECHO 
IF NOT %6==REPORTS ECHO     Editor Diary:         DIARY.LST
IF EXIST %5.SUM    ECHO     Summary Report:       %5.SUM
IF EXIST %5.QST    ECHO     Questionnaire Report: %5.QST
IF EXIST %5.FRQ    ECHO     Frequency Report:     %5.FRQ
IF EXIST %5.SUM GOTO ANY
IF EXIST %5.QST GOTO ANY
IF EXIST %5.FRQ GOTO ANY
ECHO 
ECHO ***** No reports were generated! *****
ECHO 
:ANY
IF %6==REPORTS GOTO END
IF %3==NUL GOTO WRT
IF %3==NONE GOTO WRT
IF NOT EXIST %3 GOTO WRT
ECHO 
ECHO The following files were generated during execution.
ECHO 
ECHO     Output data file:    %3
IF %4==NUL GOTO END
IF %4==NONE GOTO END
IF EXIST %4           ECHO     Write file:          %4
GOTO END
:WRT
IF %4==NUL GOTO END
IF %4==NONE GOTO END
IF NOT EXIST %4 GOTO END
ECHO 
ECHO The following files were generated during execution.
ECHO 
ECHO     Write file:          %4
GOTO END
:EREPSUM
ECHO 
ECHO Aborted!  --  File error(s) in program REPSUM!
ECHO 
GOTO END
:EREPQUEST
ECHO 
ECHO Aborted!  --  File error(s) in program REPQUEST!
ECHO 
GOTO END
:EREPFREQ
ECHO 
ECHO Aborted!  --  File error(s) in program REPFREQ!
ECHO 
GOTO END
:NOCALL
ECHO 
ECHO Aborted!  --  Cannot execute directly!
ECHO 
GOTO END
:END
